# State-space modelling for dynamic Biomass production model

# Chapter  11

# R program used to generate data in a BUGS format
# from data in a table format

# -------------------------------------------------------------------------

rm(list = ls())
library(BRugs)
library(rbugs)  	# needed for the function genDataFile()

data <- read.table(file = "data_table.txt", header = TRUE, sep = "") 
n.obs <- length(data$Year)

data_q100 <- read.table(file = "data_table_quotas100.txt", header = TRUE, sep = "") 
data_q500 <- read.table(file = "data_table_quotas500.txt", header = TRUE, sep = "") 
n.proj <- length(data_q100$Year)

data_quotas100 <- rbind.data.frame(data[-1],data_q100[-1])
data_quotas500 <- rbind.data.frame(data[-1],data_q500[-1])

data_quotas100 <- as.list(data_quotas100)
data_quotas500 <- as.list(data_quotas500)

data_quotas100 <- c( 	"n.obs"=n.obs, "n.proj"=n.proj, 
				"ratio_var" = 1,
				data_quotas100)

data_quotas500 <- c( 	"n.obs"=n.obs, "n.proj"=n.proj, 
				"ratio_var" = 1,
				data_quotas500)

genDataFile(dataList = data_quotas100, dataFile = "data_BiomProd_quotas100.txt")
genDataFile(dataList = data_quotas500, dataFile = "data_BiomProd_quotas500.txt")


